=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.30.0~),
                gettext,
                libkf5doctools-dev (>= 5.30.0~),
@@ -20,9 +19,9 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.11.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/applications/graphics/kruler/
+Homepage: https://apps.kde.org/en/kruler
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kruler
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kruler.git
 
@@ -30,8 +29,6 @@
 Section: graphics
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: screen ruler
  KRuler is a tool for measuring the size, in pixels, of items on the screen.
  .
