=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kruler
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kruler
@@ -30,7 +30,7 @@
 Package: kruler
 Section: graphics
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: screen ruler
  KRuler is a tool for measuring the size, in pixels, of items on the screen.
  .
