=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: kruler
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1.0~),
                gettext,
                libkf6coreaddons-dev (>= 6.1.0~),
+               libkf6crash-dev (>= 6.1.0~),
                libkf6doctools-dev (>= 6.1.0~),
                libkf6i18n-dev (>= 6.1.0~),
                libkf6notifications-dev (>= 6.1.0~),
@@ -26,8 +26,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kruler
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kruler
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kruler
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kruler
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kruler.git
 
 Package: kruler
 Section: graphics
